com.genesyslab.wfm7.API.service.RTA712

## Class ScheduleStateStruct

- java.lang.Object
- - com.genesyslab.wfm7.API.service.RTA712.ScheduleStateStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class ScheduleStateStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains full Schedule State info.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `id`
    `private java.lang.String` | `name`
    `private int` | `siteID`
    `private int` | `stateGroupID`
    `private int` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduleStateStruct()`
    `ScheduleStateStruct(int siteID, int type, int id, java.lang.String name, int stateGroupID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getId()` Get scheduled state ID.
    `java.lang.String` | `getName()` Get name of the scheduled state.
    `int` | `getSiteID()` Get site ID
    `int` | `getStateGroupID()` Get ID of the scheduled state group of the scheduled state.
    `int` | `getType()` Get type of the scheduled state.
    `int` | `hashCode()`
    `void` | `setId(int id)` Set scheduled state ID.
    `void` | `setName(java.lang.String name)` Set name of the scheduled state.
    `void` | `setSiteID(int siteID)` Set site ID
    `void` | `setStateGroupID(int stateGroupID)` Set ID of the scheduled state group of the scheduled state.
    `void` | `setType(int type)` Set type of the scheduled state.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### siteID

          private int siteID

    - #### type

          private int type

    - #### id

          private int id

    - #### name

          private java.lang.String name

    - #### stateGroupID

          private int stateGroupID

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### ScheduleStateStruct

          public ScheduleStateStruct()

    - #### ScheduleStateStruct

          public ScheduleStateStruct(int siteID,
                             int type,
                             int id,
                             java.lang.String name,
                             int stateGroupID)

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Get site ID
      Returns:
        siteID Site ID

    - #### setSiteID

          public void setSiteID(int siteID)

      Set site ID
      Parameters:
        `siteID` - Site ID

    - #### getType

          public int getType()

      Get type of the scheduled state.
      Returns:
        type Type of the scheduled state. Types are predefined in `ECfgStateType`

    - #### setType

          public void setType(int type)

      Set type of the scheduled state.
      Parameters:
        `type` - Type of the scheduled state. Types are predefined in `ECfgStateType`

    - #### getId

          public int getId()

      Get scheduled state ID.
      Returns:
        id Scheduled state ID.

    - #### setId

          public void setId(int id)

      Set scheduled state ID.
      Parameters:
        `id` - Scheduled state ID.

    - #### getName

          public java.lang.String getName()

      Get name of the scheduled state.
      Returns:
        name Name of the scheduled state

    - #### setName

          public void setName(java.lang.String name)

      Set name of the scheduled state.
      Parameters:
        `name` - Name of the scheduled state

    - #### getStateGroupID

          public int getStateGroupID()

      Get ID of the scheduled state group of the scheduled state.
      Returns:
        stateGroupID ID of the scheduled state group of the scheduled state

    - #### setStateGroupID

          public void setStateGroupID(int stateGroupID)

      Set ID of the scheduled state group of the scheduled state.
      Parameters:
        `stateGroupID` - stateGroupID ID of the scheduled state group of the scheduled state

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.